package com.cpm.lorealbaMabeline.gsonGetterSetter;

import com.google.gson.annotations.SerializedName;

public class TStockSummary {
    @SerializedName("Id")
    private Integer id;
    @SerializedName("SaleableIn")
    private Integer saleableIn;
    @SerializedName("CounterId")
    private Integer counterId;
    @SerializedName("SaleableOut")
   
    private Integer saleableOut;
    @SerializedName("SaleableDamage")
   
    private Integer saleableDamage;
    @SerializedName("ProductId")
   
    private Integer productId;
    @SerializedName("SaleableBalance")
   
    private Integer saleableBalance;
    @SerializedName("TesterIn")
   
    private Integer testerIn;
    @SerializedName("TesterOut")
   
    private Integer TesterOut;
    @SerializedName("TesterDamage")
   
    private Integer testerDamage;
    @SerializedName("TesterBalance")
   
    private Integer testerBalance;
    @SerializedName("SampleIn")
   
    private Integer sampleIn;
    @SerializedName("SampleOut")
   
    private Integer sampleOut;
    @SerializedName("SampleDamage")
   
    private Integer sampleDamage;
    @SerializedName("SampleBalance")
   
    private Integer sampleBalance;
    @SerializedName("GwpIn")
   
    private Integer gwpIn;
    @SerializedName("GwpOut")
   
    private Integer gwpOut;
    @SerializedName("GwpDamage")
   
    private Integer gwpDamage;
    @SerializedName("GwpBalance")
   
    private Integer gwpBalance;
    @SerializedName("SaleableStatus")
   
    private String saleableStatus;
    @SerializedName("TesterStatus")
   
    private String TesterStatus;
    @SerializedName("SampleStatus")
   
    private String sampleStatus;
    @SerializedName("GwpStatus")
   
    private String gwpStatus;
    @SerializedName("VisitDate")
   
    private String visitDate;

    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSaleableIn() {
        return saleableIn;
    }

    public void setSaleableIn(Integer saleableIn) {
        this.saleableIn = saleableIn;
    }

    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public Integer getSaleableOut() {
        return saleableOut;
    }

    public void setSaleableOut(Integer saleableOut) {
        this.saleableOut = saleableOut;
    }

    public Integer getSaleableDamage() {
        return saleableDamage;
    }

    public void setSaleableDamage(Integer saleableDamage) {
        this.saleableDamage = saleableDamage;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getSaleableBalance() {
        return saleableBalance;
    }

    public void setSaleableBalance(Integer saleableBalance) {
        this.saleableBalance = saleableBalance;
    }

    public Integer getTesterIn() {
        return testerIn;
    }

    public void setTesterIn(Integer testerIn) {
        this.testerIn = testerIn;
    }

    public Integer getTesterOut() {
        return TesterOut;
    }

    public void setTesterOut(Integer testerOut) {
        TesterOut = testerOut;
    }

    public Integer getTesterDamage() {
        return testerDamage;
    }

    public void setTesterDamage(Integer testerDamage) {
        this.testerDamage = testerDamage;
    }

    public Integer getTesterBalance() {
        return testerBalance;
    }

    public void setTesterBalance(Integer testerBalance) {
        this.testerBalance = testerBalance;
    }

    public Integer getSampleIn() {
        return sampleIn;
    }

    public void setSampleIn(Integer sampleIn) {
        this.sampleIn = sampleIn;
    }

    public Integer getSampleOut() {
        return sampleOut;
    }

    public void setSampleOut(Integer sampleOut) {
        this.sampleOut = sampleOut;
    }

    public Integer getSampleDamage() {
        return sampleDamage;
    }

    public void setSampleDamage(Integer sampleDamage) {
        this.sampleDamage = sampleDamage;
    }

    public Integer getSampleBalance() {
        return sampleBalance;
    }

    public void setSampleBalance(Integer sampleBalance) {
        this.sampleBalance = sampleBalance;
    }

    public Integer getGwpIn() {
        return gwpIn;
    }

    public void setGwpIn(Integer gwpIn) {
        this.gwpIn = gwpIn;
    }

    public Integer getGwpOut() {
        return gwpOut;
    }

    public void setGwpOut(Integer gwpOut) {
        this.gwpOut = gwpOut;
    }

    public Integer getGwpDamage() {
        return gwpDamage;
    }

    public void setGwpDamage(Integer gwpDamage) {
        this.gwpDamage = gwpDamage;
    }

    public Integer getGwpBalance() {
        return gwpBalance;
    }

    public void setGwpBalance(Integer gwpBalance) {
        this.gwpBalance = gwpBalance;
    }

    public String getSaleableStatus() {
        return saleableStatus;
    }

    public void setSaleableStatus(String saleableStatus) {
        this.saleableStatus = saleableStatus;
    }

    public String getTesterStatus() {
        return TesterStatus;
    }

    public void setTesterStatus(String testerStatus) {
        TesterStatus = testerStatus;
    }

    public String getSampleStatus() {
        return sampleStatus;
    }

    public void setSampleStatus(String sampleStatus) {
        this.sampleStatus = sampleStatus;
    }

    public String getGwpStatus() {
        return gwpStatus;
    }

    public void setGwpStatus(String gwpStatus) {
        this.gwpStatus = gwpStatus;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    String productName="";

    public String getBrand_name() {
        return brand_name;
    }

    public void setBrand_name(String brand_name) {
        this.brand_name = brand_name;
    }

    String brand_name="";

    public String getBlocked_product_Id() {
        return blocked_product_Id;
    }

    public void setBlocked_product_Id(String blocked_product_Id) {
        this.blocked_product_Id = blocked_product_Id;
    }

    int stock=0;

    public int getMrp() {
        return mrp;
    }

    public void setMrp(int mrp) {
        this.mrp = mrp;
    }

    int mrp=0;

    String blocked_product_Id="0";
    public int getStock() {
        return stock;
    }

    public void setStock(int stock) {
        this.stock = stock;
    }
}
